gnutls_x509_crt_verify_hash(3)

NAME
gnutls_x509_crt_verify_hash - API function

SYNOPSIS
#include <gnutls/compat.h>

int gnutls_x509_crt_verify_hash(gnutls_x509_crt_t crt, unsigned int flags, const gnutls_datum_t * hash, const gnutls_datum_t * signature);

ARGUMENTS

gnutls_x509_crt_t crt
    Holds the certificate

unsigned int flags
    should be 0 for now

const gnutls_datum_t * hash
    holds the hash digest to be verified

const gnutls_datum_t * signature
    contains the signature

DESCRIPTION
This function will verify the given signed digest, using the parameters from the certificate.

Deprecated. This function cannot be easily used securely. Use gnutls_pubkey_verify_hash2() instead.

RETURNS
In case of a verification failure GNUTLS_E_PK_SIG_VERIFY_FAILED is returned, and zero or positive code on success.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/